<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Archive extends CI_Controller
{
    function __construct()
    {
        parent:: __construct();
        $this->load->model("ArchiveModel");
    }

    public function index()
    {
        if ($this->session->userdata('roshaan_username')) {

            $data['total'] = $this->ArchiveModel->getTotal();
            $data['cat1'] = $this->ArchiveModel->getGeneralLitigation();
            $data['cat2'] = $this->ArchiveModel->getCommercialLitigation();
            $data['cat3'] = $this->ArchiveModel->getDebtBankruptcy();
            $data['cat4'] = $this->ArchiveModel->getDefamation();
            $data['cat5'] = $this->ArchiveModel->getEmploymentLaw();
            $data['cat6'] = $this->ArchiveModel->getInHouseLawyer();

            $data['user_info1'] = $this->session->userdata('roshaan_name') . " | " . $this->session->userdata('roshaan_outlet_name');
            $data['user_info2'] = $this->session->userdata('roshaan_username');
            $data['Archive'] = "active";
            $data['myJS'] = base_url('assets/theme_admin/js/pages/archive.js');

            $this->load->view('admin/template/header', $data);
            $this->load->view('admin/archive');
            $this->load->view('admin/template/footer');
        } else {
            redirect('Login');
        }
    }


    public function getNotes()
    {
        $temp = array();
        foreach ($this->ArchiveModel->getNotes() as $r):
            $row['date'] =  date("d-M-Y", strtotime($r->date));
            $row['note'] = $r->note;
            $row['action'] = "<button onclick='editForm(" . $r->id . ")' data-toggle='tooltip' data-placement='bottom' title='Edit' class='btn btn-sm btn-success btn-edit'>
         <i class='fa fa-edit'></i></button>
         <button data-id='" . $r->id . "' data-toggle='tooltip' data-placement='bottom' title='Delete' class='btn btn-sm btn-danger btn-delete'>
         <i class='fa fa-trash'></i></button>";
            $row['id'] = $r->id;
            array_push($temp, $row);
        endforeach;
        $data['data'] = $temp;
        echo json_encode($data);
    }

    function insertNote()
    {
        if ($this->session->userdata('roshaan_username')) {

            $tz = 'Europe/London';
            $timestamp = time();
            $dt = new DateTime("now", new DateTimeZone($tz)); //first argument "must" be a string
            $dt->setTimestamp($timestamp); //adjust the object to correct timestamp
            $branch['date'] = $dt->format('Y-m-d H:i:s');
            $branch['note'] = $_POST['note'];
            $this->ArchiveModel->insertNote($branch);
        } else {
            redirect('Login');
        }
    }

    function deleteNote()
    {
        if ($this->session->userdata('roshaan_username')) {
            $id = $_POST['id'];
            $this->ArchiveModel->deleteNote($id);
        } else {
            redirect('Login');
        }
    }

    function updateNote()
    {
        if ($this->session->userdata('roshaan_username')) {

            $data['note'] = $_POST['note'];
            $this->ArchiveModel->updateNote($data, $_POST['id']);
        } else {
            redirect('Login');
        }
    }
}
