<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Firm extends CI_Controller
{
    function __construct()
    {
        parent:: __construct();
        $this->load->model("FirmModel");
        $this->load->model("EntriesMadeModel");
    }

    public function index($form_errors = "")
    {
        if ($this->session->userdata('roshaan_username')) {

            $data['towns'] = $this->EntriesMadeModel->getTowns();

            $data['user_info1'] = $this->session->userdata('roshaan_name') . " | " . $this->session->userdata('roshaan_outlet_name');
            $data['user_info2'] = $this->session->userdata('roshaan_username');
            $data['Firm'] = "active";
            $data['myJS'] = base_url('assets/theme_admin/js/pages/firm.js');
            if ($form_errors != "") {
                $data['form_errors'] = $form_errors;
            }
            $this->load->view('admin/template/header', $data);
            $this->load->view('admin/firm');
            $this->load->view('admin/template/footer');
        } else {
            redirect('Login');
        }
    }

    public function getFirms()
    {
        $temp = array();
        foreach ($this->FirmModel->getHeadOffice() as $r):
            $row['name'] = $r->name;
            $row['website'] = $r->website;
            $row['solicitors_num'] = $r->solicitors_num;
            $row['branches_num'] = $r->branches_num;
            $row['bid'] = $r->bID;
            $row['address'] = $r->bAddress;
            $row['tid'] = $r->bTown;
            $row['town'] = $r->eTown;
            $row['county'] = $r->bCounty;
            $row['postcode'] = $r->bPC;
            $row['action'] = "<button onclick='editForm(" . $r->id . ")' data-toggle='tooltip' data-placement='bottom' title='Edit' class='btn btn-sm btn-success btn-edit'>
         <i class='fa fa-edit'></i></button>
         <button data-id='" . $r->id . "' data-toggle='tooltip' data-placement='bottom' title='Delete' class='btn btn-sm btn-danger btn-delete'>
         <i class='fa fa-trash'></i></button>";
            $row['id'] = $r->id;
            array_push($temp, $row);
        endforeach;
        $data['data'] = $temp;
        echo json_encode($data);
    }

    function insert()
    {
        if ($this->session->userdata('roshaan_username')) {
            $firm['name'] = $_POST['name'];
            $firm['website'] = $_POST['website'];
            $firm['branches_num'] = $_POST['branches_num'];
            $firm['solicitors_num'] = $_POST['solicitors_num'];
            $ID = $this->FirmModel->insert($firm);

            $branch['firm'] = $ID;
            $branch['head_office'] = 1;
            $branch['address'] = $_POST['address'];
            $branch['town'] = $_POST['town'];
            $branch['county'] = $_POST['county'];
            $branch['postcode'] = $_POST['postcode'];
            $this->FirmModel->insertBranch($branch);
        } else {
            redirect('Login');
        }
    }

    function delete()
    {
        if ($this->session->userdata('roshaan_username')) {
            $id = $_POST['id'];
            $this->FirmModel->delete($id);
            $this->FirmModel->deleteBranchByFirm($id);
        } else {
            redirect('Login');
        }
    }

    function update()
    {
        if ($this->session->userdata('roshaan_username')) {

            $firm['name'] = $_POST['name'];
            $firm['website'] = $_POST['website'];
            $firm['branches_num'] = $_POST['branches_num'];
            $firm['solicitors_num'] = $_POST['solicitors_num'];
            $this->FirmModel->update($firm, $_POST['id']);

            $branch['address'] = $_POST['address'];
            $branch['town'] = $_POST['town'];
            $branch['county'] = $_POST['county'];
            $branch['postcode'] = $_POST['postcode'];
            $this->FirmModel->updateBranch($branch, $_POST['bid']);
        } else {
            redirect('Login');
        }
    }

    function getBalance()
    {
        if ($this->session->userdata('roshaan_username')) {
            echo json_encode($this->VendorModel->getBalance($_POST['vendor'], $_POST['outlet']));
        } else {
            redirect('Login');
        }
    }
}
