<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Solicitor extends CI_Controller
{
    function __construct()
    {
        parent:: __construct();
        $this->load->model("FirmModel");
        $this->load->model("SolicitorModel");
        $this->load->model("TestModel");
    }

    public function index($form_errors = "")
    {
        if ($this->session->userdata('roshaan_username')) {

            $data['firms'] = $this->FirmModel->getAll();

            $data['user_info1'] = $this->session->userdata('roshaan_name') . " | " . $this->session->userdata('roshaan_outlet_name');
            $data['user_info2'] = $this->session->userdata('roshaan_username');
            $data['Solicitor'] = "active";
            $data['myJS'] = base_url('assets/theme_admin/js/pages/solicitor.js');
            if ($form_errors != "") {
                $data['form_errors'] = $form_errors;
            }
            $this->load->view('admin/template/header', $data);
            $this->load->view('admin/solicitor');
            $this->load->view('admin/template/footer');
        } else {
            redirect('Login');
        }
    }

    public function getSolicitors()
    {
        $temp = array();
        foreach ($this->SolicitorModel->getAll() as $r):
            $row['name'] = $r->name;
            $row['surname'] = $r->surname;
            $row['firstname'] = $r->firstname;
            $row['email'] = $r->email;
            $row['mobile'] = $r->mobile;
            $row['telephone'] = $r->telephone;
            $row['direct_line'] = $r->direct_line;
            $row['general_litigation'] = $r->general_litigation;
            $row['commercial_litigation'] = $r->commercial_litigation;
            $row['debt_bankruptcy'] = $r->debt_bankruptcy;
            $row['defamation'] = $r->defamation;
            $row['employment_law'] = $r->employment_law;
            $row['in_house_lawyer'] = $r->in_house_lawyer;
            $row['family_law'] = $r->family_law;
            $row['banking'] = $r->banking;
            $row['debt_recovery'] = $r->debt_recovery;
            $row['insurance'] = $r->insurance;
            $row['position'] = $r->position;
            $row['srn'] = $r->srn;
            $row['admission'] = $r->admission;
            $row['linked_in'] = $r->linked_in;
            $row['facebook'] = $r->facebook;
            $row['twitter'] = $r->twitter;
            $row['notes'] = $r->notes;
            $row['action'] = "<button onclick='editForm(" . $r->id . ")' data-toggle='tooltip' data-placement='bottom' title='Edit' class='btn btn-sm btn-success btn-edit'>
         <i class='fa fa-edit'></i></button>
         <button data-id='" . $r->id . "' data-toggle='tooltip' data-placement='bottom' title='Delete' class='btn btn-sm btn-danger btn-delete'>
         <i class='fa fa-trash'></i></button>";
            $row['id'] = $r->id;
            $row['bid'] = $r->bID;
            if ($r->exported == 1) {
                $row['exp'] = "<button onclick='exportUnCheck(" . $r->id . ")' id='btnexpy_$r->id' data-toggle='tooltip' data-placement='bottom' title='Yes' class='btn btn-sm btn-info btn-edit'>
         <i class='fa fa-check-square-o'></i></button>";
            } else {
                $row['exp'] = "<button onclick='exportCheck(" . $r->id . ")'id='btnexpn_$r->id' data-toggle='tooltip' data-placement='bottom' title='No' class='btn btn-sm btn-info btn-edit'>
         <i class='fa fa-square-o'></i></button>";
            }
            array_push($temp, $row);
        endforeach;
        $data['data'] = $temp;
        echo json_encode($data);
    }

    function insert()
    {
        if ($this->session->userdata('roshaan_username')) {
            /*    $firm['name'] = $_POST['name'];
                $firm['website'] = $_POST['website'];*/

            if ($this->SolicitorModel->getSRN($_POST['srn'])->srnCH == 0) {
                $ID = $this->SolicitorModel->insert($_POST);
                echo "T";
            } else {
                echo "F";
            }
        } else {
            redirect('Login');
        }
    }

    function delete()
    {
        if ($this->session->userdata('roshaan_username')) {
            $id = $_POST['id'];
            $this->SolicitorModel->delete($id);
        } else {
            redirect('Login');
        }
    }

    function update()
    {
        if ($this->session->userdata('roshaan_username')) {

            $this->SolicitorModel->update($_POST, $_POST['id']);
        } else {
            redirect('Login');
        }
    }

    function exportUpdate()
    {

        if ($this->session->userdata('roshaan_username')) {

            $tz = 'Europe/London';
            $timestamp = time();
            $dt = new DateTime("now", new DateTimeZone($tz)); //first argument "must" be a string
            $dt->setTimestamp($timestamp); //adjust the object to correct timestamp
            $date = $dt->format('Y-m-d H:i:s');

            foreach ($this->SolicitorModel->getTempSearch() as $r):
                $data['exported'] = 1;
                $this->SolicitorModel->update($data, $r->solicitor);

                $data2['date'] = $date;
                $data2['scolicitor'] = $r->solicitor;
                $this->SolicitorModel->insertExport($data2);
            endforeach;
            echo "Done";
        } else {
            redirect('Login');
        }
    }


    function testt()
    {
        foreach ($this->TestModel->q1() as $r):
            echo $r->town . " <br>";
            $d['town'] = $r->id;
            $this->TestModel->q2($d, $r->town);
        endforeach;
    }
}
