<?php

Class EntriesMadeModel extends CI_Model
{
    function __construct()
    {
        parent::__construct();
    }


    public function getTowns()
    {
        $query = $this->db->query("SELECT * FROM entries_made ORDER BY town ASC");
        return $query->result();
    }


    function update($data, $id)
    {
        $this->db->where('id', $id);
        $this->db->update('entries_made', $data);
    }

    public function getTotalDatabase()
    {
        $query = $this->db->query("SELECT * FROM entries_made WHERE id = 1 ");
        return $query->row();
    }

    public function getCategoryWise()
    {
        $query = $this->db->query("SELECT entries_made.*,
            COUNT(scolicitor.id) AS Total,
            SUM(CASE WHEN scolicitor.general_litigation='Yes' THEN 1 ELSE 0 END) AS Total1,
            SUM(CASE WHEN scolicitor.commercial_litigation='Yes' THEN 1 ELSE 0 END) AS Total2,
            SUM(CASE WHEN scolicitor.debt_bankruptcy='Yes' THEN 1 ELSE 0 END) AS Total3,
            SUM(CASE WHEN scolicitor.defamation='Yes' THEN 1 ELSE 0 END) AS Total4,
            SUM(CASE WHEN scolicitor.employment_law='Yes' THEN 1 ELSE 0 END) AS Total5,
            SUM(CASE WHEN scolicitor.in_house_lawyer='Yes' THEN 1 ELSE 0 END) AS Total6,
            SUM(CASE WHEN scolicitor.family_law='Yes' THEN 1 ELSE 0 END) AS Total7,
            SUM(CASE WHEN scolicitor.banking='Yes' THEN 1 ELSE 0 END) AS Total8,
            SUM(CASE WHEN scolicitor.debt_recovery='Yes' THEN 1 ELSE 0 END) AS Total9,
            SUM(CASE WHEN scolicitor.insurance='Yes' THEN 1 ELSE 0 END) AS Total10
            FROM scolicitor
            LEFT JOIN firm_branch ON  (firm_branch.id = scolicitor.firm)
            LEFT JOIN entries_made ON  (firm_branch.town = entries_made.id)
            WHERE entries_made.town IS NOT NULL
            GROUP BY entries_made.id");
        return $query->result();
    }

    public function getTotal()
    {
        $query = $this->db->query("SELECT COUNT(id) AS Total FROM scolicitor ");
        return $query->row();
    }

    public function getGeneralLitigation()
    {
        $query = $this->db->query("SELECT COUNT(id) AS Total FROM scolicitor WHERE general_litigation = 'Yes' ");
        return $query->row();
    }

    public function getCommercialLitigation()
    {
        $query = $this->db->query("SELECT COUNT(id) AS Total FROM scolicitor WHERE commercial_litigation = 'Yes' ");
        return $query->row();
    }

    public function getDebtBankruptcy()
    {
        $query = $this->db->query("SELECT COUNT(id) AS Total FROM scolicitor WHERE debt_bankruptcy = 'Yes' ");
        return $query->row();
    }

    public function getDefamation()
    {
        $query = $this->db->query("SELECT COUNT(id) AS Total FROM scolicitor WHERE defamation = 'Yes' ");
        return $query->row();
    }

    public function getEmploymentLaw()
    {
        $query = $this->db->query("SELECT COUNT(id) AS Total FROM scolicitor WHERE employment_law = 'Yes' ");
        return $query->row();
    }

    public function getInHouseLawyer()
    {
        $query = $this->db->query("SELECT COUNT(id) AS Total FROM scolicitor WHERE in_house_lawyer = 'Yes' ");
        return $query->row();
    }

}

?>