<?php

Class UserModel extends CI_Model
{
    function __construct()
    {
        parent::__construct();
    }

    function validate()
    {
        $username = $this->security->xss_clean($this->input->post('username'));
        $password = $this->security->xss_clean($this->input->post('password'));

        $this->db->select("*");
        $this->db->from("users");
        $this->db->where('username', $username);
        $this->db->where('password', $password);
        $query = $this->db->get();

        if ($query->num_rows() == 1) {
            $row = $query->row();

            $data = array(
                'roshaan_user_id' => $row->id,
                'roshaan_user_type' => $row->role,
                'roshaan_name' => $row->name,
                'roshaan_username' => $row->username,
                'validated' => true
            );
            $this->session->set_userdata($data);
            return true;
        }
        return false;
    }

    public function insert($data)
    {
        $this->db->insert('users', $data);
        if ($this->db->affected_rows() > 0) {
            return $this->db->insert_id();
        }
        return 0;
    }


    function delete($id)
    {
        $this->db->where('id', $id);
        $this->db->delete('users');
    }

    function update($data, $id)
    {
        $this->db->where('id', $id);
        $this->db->update('users', $data);
    }

    public function getAll()
    {
        $this->db->select('users.*, user_roles.role as uRole');
        $this->db->from('users');
        $this->db->join('user_roles', 'user_roles.id = users.role');
        $query = $this->db->get();
        return $query->result();
    }

    public function getByRole($role)
    {
        $this->db->select('users.*');
        $this->db->from('users');
        $this->db->where('role', $role);
        $query = $this->db->get();
        return $query->result();
    }

    public function getAllRoles()
    {
        $query = $this->db->query("SELECT * FROM user_roles");
        return $query->result();
    }


    public function insertLog($data)
    {
        $this->db->insert('app_dashboard_users_log', $data);
        if ($this->db->affected_rows() > 0) {
            return true;
        }
        return false;
    }


    function getById($id)
    {
        $query = $this->db->select('*')
            ->get_where('users', array('id' => $id))
            ->row();
        return $query;
    }

    function count()
    {
        $query = $this->db->select("count(id) AS Total")
            ->from('users')
            ->get()
            ->row();

        return $query;

    }
}

?>