var Table1;
$(document).ready(function () {
    $(function () {
        $(".select2").select2({
            placeholder: "-- Please Select --",
            width: '100%',
            dropdownAutoWidth: true,
            allowClear: true
        });
    });

    Table1 = $('#table1').DataTable({
        aaSorting: [[0, 'asc']],
        ajax: {
            "url": "Archive/getNotes",
            "type": "POST"
        },
        columns: [
            {
                "data": "id",
                render: function (data, type, row, meta) {
                    return meta.row + meta.settings._iDisplayStart + 1;
                }
            },
            {"data": "date"},
            {"data": "note"},
            {"data": "action"},
            {"data": "id"}
        ],
        aoColumnDefs: [{"bVisible": false, "aTargets": [4]}],
        "lengthMenu": [[25, 50, -1], [25, 50, "All"]]
    });


});

/*  START: Show Add Record Modal */
$('#add-button').click(function () {
    $('#add-modal').modal('show');
});
/*  END: Show Add Record Modal */

/*  START: Submit Add Record Form */
$('#add-form').submit(function (e) {
    e.preventDefault();
    $.ajax({
        url: "Archive/insertNote",
        type: "POST",
        data: {
            'note': $('#am_note').val()
        },
        success: function (result) {
            toastMixin.fire({
                animation: true,
                title: 'Record Added Successfully'
            });

            Table1.clear().draw();
            Table1.ajax.reload().draw();

            $('#add-modal').modal('hide');
            $('#add-form').trigger("reset");
        }
    });
});
/*  END: Submit Add Record Form */


/*  START: Show Edit Record Modal*/
function editForm(id) {
    $('#table1').on('click', 'tr', function () {
        var res = Table1.row(this).data();

        $("#em_id").val(id);
        $("#em_note").val(res.note);
    });
    $("#edit-modal").modal();
}
/*  END: Show Edit Record Modal*/


/*  START: Submit Edit Record Form */
$('#edit-form').submit(function (e) {
    e.preventDefault();
    $.ajax({
        url: "Archive/updateNote",
        type: "POST",
        data: {
            'id': $('#em_id').val(),
            'note': $('#em_note').val()
        },
        success: function (result) {
            toastMixin.fire({
                animation: true,
                title: 'Record Updated Successfully'
            });

            Table1.clear().draw();
            Table1.ajax.reload().draw();

            $('#edit-modal').modal('hide');
            $('#edit-form').trigger("reset");
        }
    });
});
/*  END: Submit Edit Record Form */

/*  START: Delete Record */
$('#table1 tbody').on('click', 'button.btn-delete', function () {
    var id = $(this).data('id');
    console.log("Delete: " + id);
    if (confirm("Are You sure want to delete !")) {
        $.ajax({
            url: "Archive/deleteNote",
            type: "POST",
            data: {
                id: id
            },
            success: function (result) {
                toastMixin.fire({
                    animation: true,
                    title: 'Record Deleted Successfully'
                });
                Table1.clear().draw();
                Table1.ajax.reload().draw();
            }
        });
    }
});
/*  END: Delete Record */


var toastMixin = Swal.mixin({
    toast: true,
    icon: 'success',
    title: 'General Title',
    animation: false,
    position: 'top-right',
    showConfirmButton: false,
    timer: 1000,
    timerProgressBar: true
});
