var Table1;
$(document).ready(function () {

    $(function () {
        $(".select2").select2({
            placeholder: "-- Please Select --",
            width: '100%',
            dropdownAutoWidth: true,
            allowClear: true
        });
    });

    Table1 = $('#table1').DataTable({
        aaSorting: [[0, 'asc']],
        ajax: {
            "url": "Solicitor/getSolicitors",
            "type": "POST"
        },
        columns: [
            {
                "data": "id",
                render: function (data, type, row, meta) {
                    return meta.row + meta.settings._iDisplayStart + 1;
                }
            },
            {"data": "name"},
            {"data": "surname"},
            {"data": "firstname"},
            {"data": "email"},
            {"data": "mobile"},
            {"data": "telephone"},
            {"data": "direct_line"},
            {"data": "general_litigation"},
            {"data": "commercial_litigation"},
            {"data": "debt_bankruptcy"},
            {"data": "defamation"},
            {"data": "employment_law"},
            {"data": "in_house_lawyer"},
            {"data": "family_law"},
            {"data": "banking"},
            {"data": "debt_recovery"},
            {"data": "insurance"},
            {"data": "srn"},
            {"data": "admission"},
            {"data": "position"},
            {"data": "linked_in"},
            {"data": "facebook"},
            {"data": "twitter"},
            {"data": "notes"},
            {"data": "action"},
            {"data": "exp"},
            {"data": "id"},
            {"data": "bid"}
        ],
        aoColumnDefs: [{
            "bVisible": false,
            "aTargets": [7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 27, 28]
        }],
        "lengthMenu": [[25, 50, -1], [25, 50, "All"]]
    });


});


$("#am_whole_firm").change(function () {
    if (this.checked) {
        $("#am_general_litigation").val("No").trigger('change');
        $("#am_commercial_litigation").val("No").trigger('change');
        $("#am_debt_bankruptcy").val("No").trigger('change');
        $("#am_defamation").val("No").trigger('change');
        $("#am_employment_law").val("No").trigger('change');
        $("#am_in_house_lawyer").val("No").trigger('change');
        $("#am_family_law").val("No").trigger('change');
        $("#am_banking").val("No").trigger('change');
        $("#am_debt_recovery").val("No").trigger('change');
        $("#am_insurance").val("No").trigger('change');
    }
    else {
        $("#am_general_litigation").val("").trigger('change');
        $("#am_commercial_litigation").val("").trigger('change');
        $("#am_debt_bankruptcy").val("").trigger('change');
        $("#am_defamation").val("").trigger('change');
        $("#am_employment_law").val("").trigger('change');
        $("#am_in_house_lawyer").val("").trigger('change');
        $("#am_family_law").val("").trigger('change');
        $("#am_banking").val("").trigger('change');
        $("#am_debt_recovery").val("").trigger('change');
        $("#am_insurance").val("").trigger('change');
    }
});


$("#am_other").change(function () {
    if (this.checked) {
        $("#am_general_litigation").removeAttr('required');
        $("#am_commercial_litigation").removeAttr('required');
        $("#am_debt_bankruptcy").removeAttr('required');
        $("#am_defamation").removeAttr('required');
        $("#am_employment_law").removeAttr('required');
        $("#am_in_house_lawyer").removeAttr('required');
    }
    else {
        $("#am_general_litigation").prop('required', true);
        $("#am_commercial_litigation").prop('required', true);
        $("#am_debt_bankruptcy").prop('required', true);
        $("#am_defamation").prop('required', true);
        $("#am_employment_law").prop('required', true);
        $("#am_in_house_lawyer").prop('required', true);
    }
});


/*  START: Show Add Record Modal */
$('#add-button').click(function () {
    $('#add-modal').modal('show');
});
/*  END: Show Add Record Modal */

/*  START: Submit Add Record Form */
$('#add-form').submit(function (e) {
    e.preventDefault();
    $.ajax({
        url: "Solicitor/insert",
        type: "POST",
        data: {
            'firm': $('#am_firm').val(),
            'surname': $('#am_surname').val(),
            'firstname': $('#am_firstname').val(),
            'email': $('#am_email').val(),
            'telephone': $('#am_telephone').val(),
            'direct_line': $('#am_direct_line').val(),
            'mobile': $('#am_mobile').val(),
            'general_litigation': $('#am_general_litigation').val(),
            'commercial_litigation': $('#am_commercial_litigation').val(),
            'debt_bankruptcy': $('#am_debt_bankruptcy').val(),
            'defamation': $('#am_defamation').val(),
            'employment_law': $('#am_employment_law').val(),
            'in_house_lawyer': $('#am_in_house_lawyer').val(),
            'family_law': $('#am_family_law').val(),
            'banking': $('#am_banking').val(),
            'debt_recovery': $('#am_debt_recovery').val(),
            'insurance': $('#am_insurance').val(),
            'srn': $('#am_srn').val(),
            'admission': $('#am_admission').val(),
            'position': $('#am_position').val(),
            'linked_in': $('#am_linked_in').val(),
            'facebook': $('#am_facebook').val(),
            'twitter': $('#am_twitter').val(),
            'notes': $('#am_notes').val()
        },
        success: function (result) {

            console.log(result);
            if (result == "T") {
                toastMixin.fire({
                    animation: true,
                    title: 'Record Added Successfully'
                });

                Table1.clear().draw();
                Table1.ajax.reload().draw();

                $('#add-modal').modal('hide');
                $('#add-form').trigger("reset");
            }
            else {
                toastMixin2.fire({
                    animation: true,
                    title: 'Solicitor already exists'
                });
            }

        }
    });
});
/*  END: Submit Add Record Form */


/*  START: Show Edit Record Modal*/
function editForm(id) {
    $('#table1').on('click', 'tr', function () {
        var res = Table1.row(this).data();
        console.log("Edit: " + id + res.name);

        $("#em_id").val(id);
        $("#em_firm").val(res.bid).trigger('change');
        $("#em_surname").val(res.surname);
        $("#em_firstname").val(res.firstname);
        $("#em_email").val(res.email);
        $("#em_telephone").val(res.telephone);
        $("#em_direct_line").val(res.direct_line).trigger('change');
        $("#em_mobile").val(res.mobile);
        $("#em_general_litigation").val(res.general_litigation).trigger('change');
        $("#em_commercial_litigation").val(res.commercial_litigation).trigger('change');
        $("#em_debt_bankruptcy").val(res.debt_bankruptcy).trigger('change');
        $("#em_defamation").val(res.defamation).trigger('change');
        $("#em_employment_law").val(res.employment_law).trigger('change');
        $("#em_in_house_lawyer").val(res.in_house_lawyer).trigger('change');
        $("#em_family_law").val(res.family_law).trigger('change');
        $("#em_banking").val(res.banking).trigger('change');
        $("#em_debt_recovery").val(res.debt_recovery).trigger('change');
        $("#em_insurance").val(res.insurance).trigger('change');
        $("#em_srn").val(res.srn);
        $("#em_admission").val(res.admission).trigger('change');
        $("#em_position").val(res.position).trigger('change');
        $("#em_linked_in").val(res.linked_in);
        $("#em_facebook").val(res.facebook);
        $("#em_twitter").val(res.twitter);
        $("#em_notes").val(res.notes);
    });
    $("#edit-modal").modal();
}
/*  END: Show Edit Record Modal*/


/*  START: Submit Edit Record Form */
$('#edit-form').submit(function (e) {
    e.preventDefault();
    $.ajax({
        url: "Solicitor/update",
        type: "POST",
        data: {
            'id': $('#em_id').val(),
            'firm': $('#em_firm').val(),
            'surname': $('#em_surname').val(),
            'firstname': $('#em_firstname').val(),
            'email': $('#em_email').val(),
            'telephone': $('#em_telephone').val(),
            'direct_line': $('#em_direct_line').val(),
            'mobile': $('#em_mobile').val(),
            'general_litigation': $('#em_general_litigation').val(),
            'commercial_litigation': $('#em_commercial_litigation').val(),
            'debt_bankruptcy': $('#em_debt_bankruptcy').val(),
            'defamation': $('#em_defamation').val(),
            'employment_law': $('#em_employment_law').val(),
            'in_house_lawyer': $('#em_in_house_lawyer').val(),
            'family_law': $('#em_family_law').val(),
            'banking': $('#em_banking').val(),
            'debt_recovery': $('#em_debt_recovery').val(),
            'insurance': $('#em_insurance').val(),
            'srn': $('#em_srn').val(),
            'admission': $('#em_admission').val(),
            'position': $('#em_position').val(),
            'linked_in': $('#em_linked_in').val(),
            'facebook': $('#em_facebook').val(),
            'twitter': $('#em_twitter').val(),
            'notes': $('#em_notes').val()
        },
        success: function (result) {
            toastMixin.fire({
                animation: true,
                title: 'Record Updated Successfully'
            });

            Table1.clear().draw();
            Table1.ajax.reload().draw();

            $('#edit-modal').modal('hide');
            $('#edit-form').trigger("reset");
        }
    });
});
/*  END: Submit Edit Record Form */



/*  START: Export */
function exportCheck(id) {
    $.ajax({
        url: "Solicitor/update",
        type: "POST",
        data: {
            'id': id,
            'exported': 1
        },
        success: function (result) {
            toastMixin.fire({
                animation: true,
                title: 'Record Updated Successfully'
            });

            Table1.clear().draw();
            Table1.ajax.reload().draw();

        }
    });
}


function exportUnCheck(id) {
    $.ajax({
        url: "Solicitor/update",
        type: "POST",
        data: {
            'id': id,
            'exported': 0
        },
        success: function (result) {
            toastMixin.fire({
                animation: true,
                title: 'Record Updated Successfully'
            });
            Table1.clear().draw();
            Table1.ajax.reload().draw();
        }
    });
}
/*  END: Export */


/*  START: Delete Record */
$('#table1 tbody').on('click', 'button.btn-delete', function () {
    var id = $(this).data('id');
    console.log("Delete: " + id);
    if (confirm("Are You sure want to delete !")) {
        $.ajax({
            url: "Solicitor/delete",
            type: "POST",
            data: {
                id: id
            },
            success: function (result) {
                toastMixin.fire({
                    animation: true,
                    title: 'Record Deleted Successfully'
                });
                Table1.clear().draw();
                Table1.ajax.reload().draw();
            }
        });
    }
});
/*  END: Delete Record */


var toastMixin = Swal.mixin({
    toast: true,
    icon: 'success',
    title: 'General Title',
    animation: false,
    position: 'top-right',
    showConfirmButton: false,
    timer: 1000,
    timerProgressBar: true
});

var toastMixin2 = Swal.mixin({
    toast: true,
    icon: 'error',
    title: 'General Title',
    animation: false,
    position: 'top-right',
    showConfirmButton: false,
    timer: 1000,
    timerProgressBar: true
});
